import 'package:fis_theme/resource.dart';

/// Fis资源索引
abstract class R {
  R._();

  /// 图片资源
  static const _FResourceImage image = const _FResourceImage();

  /// 字体资源
  static const _FResourceFont font = const _FResourceFont();

  /// 文本资源 (.txt, .json, .xml...)
  static const _FResourceText text = const _FResourceText();

  /// 资源集
  static final FResourceBundle bundle = fRootBundle;
}

///Fis的图片资源
class _FResourceImage {
  const _FResourceImage();
  final FResourceKey logo = const FResourceKey("img.logo");
  final FResourceKey loginBigBg = const FResourceKey("img.login_bg.big");
  final FResourceKey logoEN = const FResourceKey("img.logo.en");
  final FResourceKey logoCN = const FResourceKey("img.logo.en");
  final FResourceKey zhangcaoyan = const FResourceKey("img.zhangcaoyan");
}

///Fis的字体资源
class _FResourceFont {
  const _FResourceFont();
  final FResourceKey zh = const FResourceKey("font.d.zh");
  final FResourceKey en = const FResourceKey("font.d.en");
  final FResourceKey muyao = const FResourceKey("font.muyao");
}

///Fis的文本资源
class _FResourceText {
  const _FResourceText();
  final FResourceKey testJson = const FResourceKey("txt.testJson");
  final FResourceKey testTxt = const FResourceKey("txt.test");
}
